Partial Class Visitors_Content
    Inherits CharterCMSPage


	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        SetPageTitle("Content")
        Dim _item As NonProductItem

		If Not Page.IsPostBack Then
			If Request.QueryString(QueryStringName.NonProductItem) IsNot Nothing Then
				_item = CType(Request.QueryString(QueryStringName.NonProductItem), NonProductItem)

				ucCustomContent.ContentKey = _item.ToString()

				ltrTitle.Visible = True
				ucCustomContent.Visible = True

				Select Case _item
					Case NonProductItem.AboutParentControls
						ltrTitle.Text = "About Parent Controls"
					Case NonProductItem.OnlineGuide
						ltrTitle.Text = "Online Guide"
					Case NonProductItem.ProtectionAlert
						ltrTitle.Text = "Protection Alert"
					Case NonProductItem.SecurityAlert
						ltrTitle.Text = "Security Alert"
					Case Else
						ltrTitle.Visible = False
						ucCustomContent.Visible = False
				End Select
			Else
				ltrTitle.Visible = False
				ucCustomContent.Visible = False
			End If
		End If
	End Sub
End Class
